import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');
console.log(toolSource);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
tool_source = client.tools.retrieve(
fleet_id="fleet_abc123",
source_id="toolsrc_abc123",
)
print(tool_source)
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
tool_source = cerca.tools.retrieve("fleet_abc123", "toolsrc_abc123")
puts(tool_source)
cerca tools retrieve \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--source-id toolsrc_abc123
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');
console.log(toolSource);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
tool_source = client.tools.retrieve(
fleet_id="fleet_abc123",
source_id="toolsrc_abc123",
)
print(tool_source)
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
tool_source = cerca.tools.retrieve("fleet_abc123", "toolsrc_abc123")
puts(tool_source)
cerca tools retrieve \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--source-id toolsrc_abc123
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cerca","description":"Build long-running agents on Cloudflare Workers with durable execution, custom tools, approvals, memory, and a cloud sandbox.","colors":{"primary":"#7C6340","light":"#E8E0D2","dark":"#7C6340"},"logo":{"light":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d","dark":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/dark.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=f30eef939f273f15687674dc8671f91a","href":"https://docs.cerca.dev"},"favicon":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/favicon.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=5c0a8c9a4b99f21be8bf0fa07e2d420e","background":{"color":{"light":"#FFFDF8","dark":"#141008"}},"navbar":{"links":[{"href":"https://app.cerca.dev/sign-in","label":"Sign in"}],"primary":{"type":"button","label":"Get an API key","href":"https://app.cerca.dev/settings"}},"footer":{"socials":{"github":"https://github.com/matrices"}},"seo":{"indexing":"navigable"},"icons":{"library":"lucide"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cerca","hasAudioNarration":false,"actualSubdomain":"cerca","customDomains":["docs.cerca.dev"],"gitSource":{"type":"github","owner":"matrices","repo":"cell","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21ddd929c7042dd5f5fa13","collectionId":"ba226a70-e5d2-440b-8ce9-16ef02e5ae18","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a303907bbaa514ac1c6776e:failure","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":66},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Threads","count":10},{"language":"default","tag":"Concepts","count":9},{"language":"default","tag":"Core concepts","count":9},{"language":"default","tag":"Agents","count":7},{"language":"default","tag":"Events","count":7},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Approvals","count":6},{"language":"default","tag":"Connections","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/tools/retrieve-tool-source","slug":"/api-reference/tools/retrieve-tool-source","pageMetadata":{"title":"Retrieve tool source","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/retrieve-tool-source","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve tool source","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/retrieve-tool-source","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["8af680c5-00c4-46b5-81ac-f4d377997333"],"tags":["Tools"],"parameters":["68244b5d-3538-440a-8624-75d88af88bab","49963cf8-abed-42c9-9574-7a13fc70696e"],"responses":{"200":"6dc42a2e-6994-46d4-b7df-bd2aa999aabf","400":"0e4b97b7-bc83-4778-9ab1-653ff32f8175","401":"0526c50f-75f7-4aea-99af-61215f1617bc","403":"5a541490-923b-4379-899b-83b72827bf60","404":"eef63505-4d23-49fe-a1ae-94b3a08478eb","409":"2c2f3633-67c7-4f86-90c1-f538db09814d","415":"e10ba312-8991-45f0-b0ce-faf4169ef700","default":"643b5e06-bf5c-407f-95e6-fed5168a40d1"},"summary":"Retrieve tool source","x-codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');\n\nconsole.log(toolSource);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\ntool_source = client.tools.retrieve(\n fleet_id=\"fleet_abc123\",\n source_id=\"toolsrc_abc123\",\n)\nprint(tool_source)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttoolSource, err := client.Tools.Get(\n\t\tcontext.TODO(),\n\t\t\"fleet_abc123\",\n\t\t\"toolsrc_abc123\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", toolSource)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\ntool_source = cerca.tools.retrieve(\"fleet_abc123\", \"toolsrc_abc123\")\n\nputs(tool_source)"},{"lang":"CLI","source":"cerca tools retrieve \\\n --api-key 'My API Key' \\\n --fleet-id fleet_abc123 \\\n --source-id toolsrc_abc123"}],"method":"get","type":"path","servers":["d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe"],"path":"/fleets/{fleetId}/tools/{sourceId}","baseUrlOptions":["https://api.cerca.dev"],"title":"Retrieve tool source","description":"","codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');\n\nconsole.log(toolSource);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\ntool_source = client.tools.retrieve(\n fleet_id=\"fleet_abc123\",\n source_id=\"toolsrc_abc123\",\n)\nprint(tool_source)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttoolSource, err := client.Tools.Get(\n\t\tcontext.TODO(),\n\t\t\"fleet_abc123\",\n\t\t\"toolsrc_abc123\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", toolSource)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\ntool_source = cerca.tools.retrieve(\"fleet_abc123\", \"toolsrc_abc123\")\n\nputs(tool_source)"},{"lang":"CLI","source":"cerca tools retrieve \\\n --api-key 'My API Key' \\\n --fleet-id fleet_abc123 \\\n --source-id toolsrc_abc123"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"68244b5d-3538-440a-8624-75d88af88bab":{"schema":{"type":"string","minLength":1,"example":"fleet_abc123","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"in":"path","name":"fleetId"},"49963cf8-abed-42c9-9574-7a13fc70696e":{"schema":{"type":"string","minLength":1,"example":"toolsrc_abc123","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"in":"path","name":"sourceId"}},"responses":{"6dc42a2e-6994-46d4-b7df-bd2aa999aabf":{"description":"Tool source details.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["auth","createdAt","enabled","fleetId","id","namespace","updatedAt","version","tools","type"],"properties":{"auth":{"oneOf":[{"type":"object","title":"NoToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["kind"],"x-stainless-variantName":"NoToolSourceAuth","example":{"kind":"none"},"properties":{"kind":{"type":"string","enum":["none"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.0","typeLabel":"NoToolSourceAuth · object"},{"type":"object","title":"ApiKeyToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["connectionId","inject","kind"],"x-stainless-variantName":"ApiKeyToolSourceAuth","example":{"kind":"none"},"properties":{"connectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.connectionId","typeLabel":"string"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.0.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.1.name","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"kind":{"type":"string","enum":["api_key"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.1","typeLabel":"ApiKeyToolSourceAuth · object"},{"type":"object","title":"OAuthExchangeToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["exchange","inject","kind"],"x-stainless-variantName":"OAuthExchangeToolSourceAuth","example":{"kind":"none"},"properties":{"exchange":{"oneOf":[{"type":"object","title":"ClientCredentialsOAuthExchange","description":"Source-owned OAuth exchange configuration. Public schemas use connection IDs for stored client secrets and assertions.","required":["clientId","clientSecretConnectionId","grantType","tokenUrl"],"x-stainless-variantName":"ClientCredentialsOAuthExchange","properties":{"clientId":{"type":"string","example":"client_abc123","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.clientId","typeLabel":"string"},"clientSecretConnectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.clientSecretConnectionId","typeLabel":"string"},"grantType":{"type":"string","enum":["client_credentials"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.grantType","typeLabel":"enum\u003cstring>"},"tokenUrl":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.tokenUrl","typeLabel":"string"},"audience":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.audience","typeLabel":"string"},"extraParams":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.extraParams.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.extraParams","typeLabel":"object"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.scopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0.scopes","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.0","typeLabel":"ClientCredentialsOAuthExchange · object"},{"type":"object","title":"JwtBearerOAuthExchange","description":"Source-owned OAuth exchange configuration. Public schemas use connection IDs for stored client secrets and assertions.","required":["assertionConnectionId","audience","grantType","issuer","tokenUrl"],"x-stainless-variantName":"JwtBearerOAuthExchange","properties":{"assertionConnectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.assertionConnectionId","typeLabel":"string"},"audience":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.audience","typeLabel":"string"},"grantType":{"type":"string","enum":["jwt_bearer"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.grantType","typeLabel":"enum\u003cstring>"},"issuer":{"type":"string","example":"service-account@example.com","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.issuer","typeLabel":"string"},"tokenUrl":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.tokenUrl","typeLabel":"string"},"extraParams":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.extraParams.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.extraParams","typeLabel":"object"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.scopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.scopes","typeLabel":"string[]"},"subject":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1.subject","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange.oneOf.1","typeLabel":"JwtBearerOAuthExchange · object"}],"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.exchange","typeLabel":"ClientCredentialsOAuthExchange · object | JwtBearerOAuthExchange · object"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.0.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.1.name","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"kind":{"type":"string","enum":["oauth_exchange"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.2","typeLabel":"OAuthExchangeToolSourceAuth · object"},{"type":"object","title":"OAuthConnectionToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["kind","provider"],"x-stainless-variantName":"OAuthConnectionToolSourceAuth","example":{"kind":"none"},"properties":{"kind":{"type":"string","enum":["oauth_connection"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.kind","typeLabel":"enum\u003cstring>"},"provider":{"type":"string","example":"google","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.provider","typeLabel":"string"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.1.name","typeLabel":"string"}},"uniqueKey":"oneOf.0.auth.oneOf.3.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"uniqueKey":"oneOf.0.auth.oneOf.3.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"requiredScopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.auth.oneOf.3.requiredScopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.0.auth.oneOf.3.requiredScopes","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.auth.oneOf.3","typeLabel":"OAuthConnectionToolSourceAuth · object"}],"isRequired":true,"uniqueKey":"oneOf.0.auth","typeLabel":"NoToolSourceAuth · object | ApiKeyToolSourceAuth · object | OAuthExchangeToolSourceAuth · object | OAuthConnectionToolSourceAuth · object"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.createdAt","typeLabel":"string"},"enabled":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.0.enabled","typeLabel":"boolean"},"fleetId":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.fleetId","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"namespace":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.namespace","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.updatedAt","typeLabel":"string"},"version":{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.version","typeLabel":"number"},"tools":{"type":"array","items":{"type":"object","properties":{"description":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].description","typeLabel":"string"},"endpoint":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"],"isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.method","typeLabel":"enum\u003cstring>"},"url":{"type":"string","example":"https://docs.example.com/search","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.url","typeLabel":"string"},"body":{"type":"string","enum":["json_params"],"x-stainless-const":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.body","typeLabel":"enum\u003cstring>"},"headers":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.headers.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.headers","typeLabel":"object"},"path":{"type":"object","additionalProperties":{"type":"string","pattern":"^params\\.[A-Za-z0-9_.-]+$","description":"Reference to a named tool input parameter.","example":"params.query","uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.path.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.path","typeLabel":"object"},"query":{"type":"object","additionalProperties":{"type":"string","pattern":"^params\\.[A-Za-z0-9_.-]+$","description":"Reference to a named tool input parameter.","example":"params.query","uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.query.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint.query","typeLabel":"object"}},"required":["method","url"],"description":"HTTP endpoint invoked when the tool is called.","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].endpoint","typeLabel":"object"},"inputSchema":{"type":"object","description":"JSON Schema object describing tool input parameters.","example":{"type":"object"},"additionalProperties":{"oneOf":[{"x-stainless-any":true}],"uniqueKey":"oneOf.0.tools.items.[INDEX].inputSchema.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].inputSchema","typeLabel":"object"},"name":{"type":"string","example":"search","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].name","typeLabel":"string"},"approval":{"type":"string","enum":["always","never"],"uniqueKey":"oneOf.0.tools.items.[INDEX].approval","typeLabel":"enum\u003cstring>"},"execution":{"type":"object","properties":{"idempotencyKeyHeader":{"type":"string","uniqueKey":"oneOf.0.tools.items.[INDEX].execution.idempotencyKeyHeader","typeLabel":"string"},"maxAttempts":{"type":"number","uniqueKey":"oneOf.0.tools.items.[INDEX].execution.maxAttempts","typeLabel":"number"},"retryMode":{"type":"string","enum":["disabled","safe_only","enabled"],"uniqueKey":"oneOf.0.tools.items.[INDEX].execution.retryMode","typeLabel":"enum\u003cstring>"},"timeoutMs":{"type":"number","uniqueKey":"oneOf.0.tools.items.[INDEX].execution.timeoutMs","typeLabel":"number"}},"description":"HTTP tool execution retry and timeout policy.","example":{"timeoutMs":10000,"maxAttempts":3,"retryMode":"safe_only"},"uniqueKey":"oneOf.0.tools.items.[INDEX].execution","typeLabel":"object"},"response":{"type":"object","properties":{"mode":{"type":"string","enum":["auto","json","markdown","blob"],"isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].response.mode","typeLabel":"enum\u003cstring>"}},"required":["mode"],"description":"How the HTTP response should be normalized for the agent.","uniqueKey":"oneOf.0.tools.items.[INDEX].response","typeLabel":"object"}},"required":["description","endpoint","inputSchema","name"],"description":"Definition for a single HTTP tool exposed by a tool source.","example":{"name":"search","description":"Search documents","inputSchema":{"type":"object"},"endpoint":{"method":"GET","url":"https://docs.example.com/search"}},"uniqueKey":"oneOf.0.tools.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.tools","typeLabel":"object[]"},"type":{"type":"string","enum":["http"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.0.type","typeLabel":"enum\u003cstring>"},"approval":{"type":"string","enum":["always","never"],"uniqueKey":"oneOf.0.approval","typeLabel":"enum\u003cstring>"},"execution":{"type":"object","properties":{"idempotencyKeyHeader":{"type":"string","uniqueKey":"oneOf.0.execution.idempotencyKeyHeader","typeLabel":"string"},"maxAttempts":{"type":"number","uniqueKey":"oneOf.0.execution.maxAttempts","typeLabel":"number"},"retryMode":{"type":"string","enum":["disabled","safe_only","enabled"],"uniqueKey":"oneOf.0.execution.retryMode","typeLabel":"enum\u003cstring>"},"timeoutMs":{"type":"number","uniqueKey":"oneOf.0.execution.timeoutMs","typeLabel":"number"}},"description":"HTTP tool execution retry and timeout policy.","example":{"timeoutMs":10000,"maxAttempts":3,"retryMode":"safe_only"},"uniqueKey":"oneOf.0.execution","typeLabel":"object"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["auth","createdAt","enabled","fleetId","id","namespace","updatedAt","version","type","url"],"properties":{"auth":{"oneOf":[{"type":"object","title":"NoToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["kind"],"x-stainless-variantName":"NoToolSourceAuth","example":{"kind":"none"},"properties":{"kind":{"type":"string","enum":["none"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.0","typeLabel":"NoToolSourceAuth · object"},{"type":"object","title":"ApiKeyToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["connectionId","inject","kind"],"x-stainless-variantName":"ApiKeyToolSourceAuth","example":{"kind":"none"},"properties":{"connectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.connectionId","typeLabel":"string"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.0.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.1.name","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"kind":{"type":"string","enum":["api_key"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.1","typeLabel":"ApiKeyToolSourceAuth · object"},{"type":"object","title":"OAuthExchangeToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["exchange","inject","kind"],"x-stainless-variantName":"OAuthExchangeToolSourceAuth","example":{"kind":"none"},"properties":{"exchange":{"oneOf":[{"type":"object","title":"ClientCredentialsOAuthExchange","description":"Source-owned OAuth exchange configuration. Public schemas use connection IDs for stored client secrets and assertions.","required":["clientId","clientSecretConnectionId","grantType","tokenUrl"],"x-stainless-variantName":"ClientCredentialsOAuthExchange","properties":{"clientId":{"type":"string","example":"client_abc123","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.clientId","typeLabel":"string"},"clientSecretConnectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.clientSecretConnectionId","typeLabel":"string"},"grantType":{"type":"string","enum":["client_credentials"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.grantType","typeLabel":"enum\u003cstring>"},"tokenUrl":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.tokenUrl","typeLabel":"string"},"audience":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.audience","typeLabel":"string"},"extraParams":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.extraParams.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.extraParams","typeLabel":"object"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.scopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0.scopes","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.0","typeLabel":"ClientCredentialsOAuthExchange · object"},{"type":"object","title":"JwtBearerOAuthExchange","description":"Source-owned OAuth exchange configuration. Public schemas use connection IDs for stored client secrets and assertions.","required":["assertionConnectionId","audience","grantType","issuer","tokenUrl"],"x-stainless-variantName":"JwtBearerOAuthExchange","properties":{"assertionConnectionId":{"type":"string","example":"9f063c59-2775-4614-8a68-22e5f90f92f3","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.assertionConnectionId","typeLabel":"string"},"audience":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.audience","typeLabel":"string"},"grantType":{"type":"string","enum":["jwt_bearer"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.grantType","typeLabel":"enum\u003cstring>"},"issuer":{"type":"string","example":"service-account@example.com","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.issuer","typeLabel":"string"},"tokenUrl":{"type":"string","example":"https://auth.example.com/oauth/token","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.tokenUrl","typeLabel":"string"},"extraParams":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.extraParams.additionalProperties","typeLabel":"string"},"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.extraParams","typeLabel":"object"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.scopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.scopes","typeLabel":"string[]"},"subject":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1.subject","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange.oneOf.1","typeLabel":"JwtBearerOAuthExchange · object"}],"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.exchange","typeLabel":"ClientCredentialsOAuthExchange · object | JwtBearerOAuthExchange · object"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.0.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.1.name","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"kind":{"type":"string","enum":["oauth_exchange"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.2","typeLabel":"OAuthExchangeToolSourceAuth · object"},{"type":"object","title":"OAuthConnectionToolSourceAuth","description":"Tool source authentication configuration. The `kind` field selects one of `none`, `api_key`, `oauth_exchange`, or `oauth_connection`.","required":["kind","provider"],"x-stainless-variantName":"OAuthConnectionToolSourceAuth","example":{"kind":"none"},"properties":{"kind":{"type":"string","enum":["oauth_connection"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.kind","typeLabel":"enum\u003cstring>"},"provider":{"type":"string","example":"google","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.provider","typeLabel":"string"},"inject":{"oneOf":[{"type":"object","title":"HeaderAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"HeaderAuthInjection","properties":{"location":{"type":"string","enum":["header"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.0.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"Authorization","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.0.name","typeLabel":"string"},"value":{"type":"string","description":"Optional value template. For OAuth connection auth, use values such as `Bearer ${token}`.","example":"Bearer ${token}","uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.0","typeLabel":"HeaderAuthInjection · object"},{"type":"object","title":"QueryAuthInjection","description":"Where an API key or OAuth access token should be injected into outgoing tool-source requests.","required":["location","name"],"x-stainless-variantName":"QueryAuthInjection","properties":{"location":{"type":"string","enum":["query"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.1.location","typeLabel":"enum\u003cstring>"},"name":{"type":"string","example":"api_key","isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.1.name","typeLabel":"string"}},"uniqueKey":"oneOf.1.auth.oneOf.3.inject.oneOf.1","typeLabel":"QueryAuthInjection · object"}],"uniqueKey":"oneOf.1.auth.oneOf.3.inject","typeLabel":"HeaderAuthInjection · object | QueryAuthInjection · object"},"requiredScopes":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.auth.oneOf.3.requiredScopes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.1.auth.oneOf.3.requiredScopes","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.1.auth.oneOf.3","typeLabel":"OAuthConnectionToolSourceAuth · object"}],"isRequired":true,"uniqueKey":"oneOf.1.auth","typeLabel":"NoToolSourceAuth · object | ApiKeyToolSourceAuth · object | OAuthExchangeToolSourceAuth · object | OAuthConnectionToolSourceAuth · object"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.createdAt","typeLabel":"string"},"enabled":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.enabled","typeLabel":"boolean"},"fleetId":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.fleetId","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string"},"namespace":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.namespace","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.updatedAt","typeLabel":"string"},"version":{"type":"number","isRequired":true,"uniqueKey":"oneOf.1.version","typeLabel":"number"},"type":{"type":"string","enum":["mcp"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"oneOf.1.type","typeLabel":"enum\u003cstring>"},"url":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.url","typeLabel":"string"},"approval":{"type":"string","enum":["always","never"],"uniqueKey":"oneOf.1.approval","typeLabel":"enum\u003cstring>"},"execution":{"type":"object","properties":{"discoveryTimeoutMs":{"type":"number","uniqueKey":"oneOf.1.execution.discoveryTimeoutMs","typeLabel":"number"},"executionTimeoutMs":{"type":"number","uniqueKey":"oneOf.1.execution.executionTimeoutMs","typeLabel":"number"},"maxAttempts":{"type":"number","uniqueKey":"oneOf.1.execution.maxAttempts","typeLabel":"number"},"retryMode":{"type":"string","enum":["disabled","connect_only","enabled"],"uniqueKey":"oneOf.1.execution.retryMode","typeLabel":"enum\u003cstring>"}},"description":"MCP discovery and execution retry/timeout policy.","example":{"discoveryTimeoutMs":5000,"executionTimeoutMs":30000,"maxAttempts":2,"retryMode":"connect_only"},"uniqueKey":"oneOf.1.execution","typeLabel":"object"}},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"auth":{"kind":"none"},"createdAt":"\u003cstring>","enabled":true,"fleetId":"\u003cstring>","id":"\u003cstring>","namespace":"\u003cstring>","updatedAt":"\u003cstring>","version":123,"tools":[{"name":"search","description":"Search documents","inputSchema":{"type":"object"},"endpoint":{"method":"GET","url":"https://docs.example.com/search"}}],"type":"http","approval":"always","execution":{"timeoutMs":10000,"maxAttempts":3,"retryMode":"safe_only"}}}},"exampleType":"generated"}},"exampleType":"generated"},"0e4b97b7-bc83-4778-9ab1-653ff32f8175":{"description":"Invalid request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"0526c50f-75f7-4aea-99af-61215f1617bc":{"description":"Authentication required.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"5a541490-923b-4379-899b-83b72827bf60":{"description":"Not authorized for this fleet.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"eef63505-4d23-49fe-a1ae-94b3a08478eb":{"description":"Fleet or tool source not found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"2c2f3633-67c7-4f86-90c1-f538db09814d":{"description":"Tool source conflict.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"e10ba312-8991-45f0-b0ce-faf4169ef700":{"description":"Content-Type must be application/json.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"643b5e06-bf5c-407f-95e6-fed5168a40d1":{"description":"Error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"8af680c5-00c4-46b5-81ac-f4d377997333":{"bearerAuth":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe":{"url":"https://api.cerca.dev"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml"},"subdomain":"cerca","siteName":"Cerca","title":"Retrieve tool source - Cerca","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-13T04:07:01.451Z","originalFileLocation":"api-reference/tools/retrieve-tool-source.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Cerca\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve tool source - Cerca\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cerca\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Tools\u0026amp;title=Retrieve+tool+source\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=67e13923dc501f7c281fff25850dfe83b991b32c1466546208bd4ef478f88bf5\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve tool source - Cerca\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Tools\u0026amp;title=Retrieve+tool+source\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=67e13923dc501f7c281fff25850dfe83b991b32c1466546208bd4ef478f88bf5\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cerca\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7C6340\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/tools/retrieve-tool-source.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cerca.dev/#organization\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cerca.dev#website\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source#webpage\",\"url\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source\",\"name\":\"Retrieve tool source\",\"dateModified\":\"2026-05-13T04:07:01.451Z\",\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tools\",\"item\":\"https://docs.cerca.dev/api-reference/tools/list-tools\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve tool source\",\"item\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source#apireference\",\"headline\":\"Retrieve tool source\",\"name\":\"Retrieve tool source\",\"url\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cerca.dev/api-reference/tools/retrieve-tool-source#webpage\"},\"dateModified\":\"2026-05-13T04:07:01.451Z\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cerca\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cerca","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Auth","pages":[{"title":"Retrieve context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/context","href":"/api-reference/auth/retrieve-context"},{"title":"List fleets","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/fleets","href":"/api-reference/auth/list-fleets"}]},{"group":"OAuth","pages":[{"title":"Start OAuth authorization","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /oauth/connect/{provider}","href":"/api-reference/oauth/start-oauth-authorization"}]},{"group":"Connections","pages":[{"title":"Create API key","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /connections/api-keys","href":"/api-reference/connections/create-api-key"},{"title":"List connections","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /connections","href":"/api-reference/connections/list-connections"},{"title":"Delete connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /connections/{connectionId}","href":"/api-reference/connections/delete-connection"},{"title":"List connections","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/connections","href":"/api-reference/connections/list-connections-1"},{"title":"Attach connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/connections","href":"/api-reference/connections/attach-connection"},{"title":"Detach connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/connections/{connectionId}","href":"/api-reference/connections/detach-connection"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools","href":"/api-reference/tools/list-tools"},{"title":"Create tool","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/tools","href":"/api-reference/tools/create-tool"},{"title":"Retrieve tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/retrieve-tool-source"},{"title":"Update tool source","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/update-tool-source"},{"title":"Delete tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/delete-tool-source"},{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/tools","href":"/api-reference/tools/list-tools-1"}]},{"group":"Webhooks","pages":[{"title":"List webhooks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/list-webhooks"},{"title":"Create webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/create-webhook"},{"title":"Retrieve webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/retrieve-webhook"},{"title":"Update webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/update-webhook"},{"title":"Delete webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/delete-webhook"},{"title":"Rotate webhook secret","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/rotate","href":"/api-reference/webhooks/rotate-webhook-secret"},{"title":"Send test webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/test","href":"/api-reference/webhooks/send-test-webhook"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents","href":"/api-reference/agents/list-agents"},{"title":"Create agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents","href":"/api-reference/agents/create-agent"},{"title":"Retrieve agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}","href":"/api-reference/agents/retrieve-agent"},{"title":"Update agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}","href":"/api-reference/agents/update-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}","href":"/api-reference/agents/delete-agent"},{"title":"Retrieve config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/config","href":"/api-reference/agents/retrieve-config"},{"title":"Update metadata","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml patch /agents/{agentId}/metadata","href":"/api-reference/agents/update-metadata"}]},{"group":"Context","pages":[{"title":"List context entries","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context","href":"/api-reference/context/list-context-entries"},{"title":"Retrieve context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/entry","href":"/api-reference/context/retrieve-context-entry"},{"title":"Update context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/context/entry","href":"/api-reference/context/update-context-entry"},{"title":"Delete context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/context/entry","href":"/api-reference/context/delete-context-entry"},{"title":"Search context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/search","href":"/api-reference/context/search-context"}]},{"group":"Schedules","pages":[{"title":"List schedules","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/schedules","href":"/api-reference/schedules/list-schedules"},{"title":"Create schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules","href":"/api-reference/schedules/create-schedule"},{"title":"Update schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/update-schedule"},{"title":"Delete schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/delete-schedule"},{"title":"Trigger schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules/{scheduleId}/trigger","href":"/api-reference/schedules/trigger-schedule"}]},{"group":"Threads","pages":[{"title":"List threads","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads","href":"/api-reference/threads/list-threads"},{"title":"Create thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads","href":"/api-reference/threads/create-thread"},{"title":"Retrieve thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}","href":"/api-reference/threads/retrieve-thread"},{"title":"List thread messages","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/messages","href":"/api-reference/threads/list-thread-messages"},{"title":"Get thread activity","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/activity","href":"/api-reference/threads/get-thread-activity"},{"title":"Create turn","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/turns","href":"/api-reference/threads/create-turn"},{"title":"Steer thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/steer","href":"/api-reference/threads/steer-thread"},{"title":"Cancel thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/cancel","href":"/api-reference/threads/cancel-thread"},{"title":"Close thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/close","href":"/api-reference/threads/close-thread"},{"title":"Compact thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/compact","href":"/api-reference/threads/compact-thread"}]},{"group":"Approvals","pages":[{"title":"List approvals","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approvals","href":"/api-reference/approvals/list-approvals"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approval-grants","href":"/api-reference/approvals/list-approval-grants"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/approval-grants","href":"/api-reference/approvals/list-approval-grants-1"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/threads/{threadId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant-1"},{"title":"Create approval","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/approvals/{approvalId}","href":"/api-reference/approvals/create-approval"}]},{"group":"Sandbox","pages":[{"title":"Execute sandbox command","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/exec","href":"/api-reference/sandbox/execute-sandbox-command"},{"title":"Write sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/write","href":"/api-reference/sandbox/write-sandbox-file"},{"title":"Read sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/read","href":"/api-reference/sandbox/read-sandbox-file"}]},{"group":"Events","pages":[{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events","href":"/api-reference/events/list-events"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events","href":"/api-reference/events/list-events-1"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events","href":"/api-reference/events/list-events-2"},{"title":"Fleet event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events/stream","href":"/api-reference/events/fleet-event-stream"},{"title":"Agent event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events/stream","href":"/api-reference/events/agent-event-stream"},{"title":"Thread event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events/stream","href":"/api-reference/events/thread-event-stream"},{"title":"Thread message stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/stream","href":"/api-reference/events/thread-message-stream"}]},{"group":"Models","pages":[{"title":"List models","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /models","href":"/api-reference/models/list-models"}]}]}]},"title":"Retrieve tool source - Cerca","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}